﻿using System.Linq;
using System.Web.Mvc;
using AutofactMVC.Models;
using AutofactMVC.Repository;
using AutofactMVC.Repository.Core;

namespace AutofactMVC.Controllers
{
    public class HomeController : Controller
    {
        private readonly IRepositoryCenter _repositoryCenter;

        public HomeController(IRepositoryCenter repositoryCenter)
        {
            _repositoryCenter = repositoryCenter;
        }
        /// <summary>
        /// Lazy Load 例子
        /// </summary>
        /// <returns></returns>
        public ActionResult Index()
        {
            var studentRepository = _repositoryCenter.GetRepository<IStudentRepository>();
            var students = studentRepository.GetStudents().ToList();
            return View(students);
        }


        public ActionResult Index1()
        {
            var studentExtensionRepository = _repositoryCenter.GetRepository<IStudentExtensionRepository>();
            var students = studentExtensionRepository.GetStudents().ToList();
            return View(students);
        }

        public ActionResult Index2()
        {
            var studentExtensionRepository1 = _repositoryCenter.GetRepository<IStudentExtensionRepository1>();
            var students = studentExtensionRepository1.GetStudents().ToList();
            return View(students);
        }

        public ActionResult Index3()
        {
            var studentExtensionRepository1 = _repositoryCenter.GetRepository<IStudentExtensionRepository1>();
            var students = studentExtensionRepository1.GetStudents().ToList();
            return View(students);
        }

        public ActionResult AddNewStudent()
        {
            return View();
        }

        [HttpPost]
        public ActionResult AddNewStudent(Student student)
        {
            var studentRepository = _repositoryCenter.GetRepository<IStudentRepository>();
            studentRepository.Create(student);
            _repositoryCenter.SaveChanges();
            return null;
        }
    }
}
