namespace AutofactMVC.Migrations
{
    using System;
    using System.Data.Entity.Migrations;
    
    public partial class InitDB : DbMigration
    {
        public override void Up()
        {
            CreateTable(
                "dbo.Student",
                c => new
                    {
                        Id = c.Int(nullable: false, identity: true),
                        Name = c.String(),
                        Age = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.Id);
            
            CreateTable(
                "dbo.StudentScores",
                c => new
                    {
                        StudentId = c.Int(nullable: false),
                        Score = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.StudentId)
                .ForeignKey("dbo.Student", t => t.StudentId)
                .Index(t => t.StudentId);
            
            CreateTable(
                "dbo.StudentHealthies",
                c => new
                    {
                        StudentId = c.Int(nullable: false),
                        Score = c.Int(nullable: false),
                    })
                .PrimaryKey(t => t.StudentId)
                .ForeignKey("dbo.Student", t => t.StudentId)
                .Index(t => t.StudentId);
            
        }
        
        public override void Down()
        {
            DropIndex("dbo.StudentHealthies", new[] { "StudentId" });
            DropIndex("dbo.StudentScores", new[] { "StudentId" });
            DropForeignKey("dbo.StudentHealthies", "StudentId", "dbo.Student");
            DropForeignKey("dbo.StudentScores", "StudentId", "dbo.Student");
            DropTable("dbo.StudentHealthies");
            DropTable("dbo.StudentScores");
            DropTable("dbo.Student");
        }
    }
}
