using AutofactMVC.Models;

namespace AutofactMVC.Migrations
{
    using System.Data.Entity.Migrations;

    internal sealed class Configuration : DbMigrationsConfiguration<SchoolContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(SchoolContext context)
        {
            //  This method will be called after migrating to the latest version.

            //  You can use the DbSet<T>.AddOrUpdate() helper extension method 
            //  to avoid creating duplicate seed data. E.g.
            //

            var studentKimi = new Student
            {
                Name = "Kimi",
                Age = 4
            };

            var studentCindy = new Student
            {
                Name = "cindy",
                Age = 6
            };

            var studentAngela = new Student
            {
                Name = "Angela",
                Age = 5
            };

            //Student
            context.Students.AddOrUpdate(
                s => s.Id,
                studentKimi,
                studentCindy,
                studentAngela
                );

            //Student Score
            context.StudentScores.AddOrUpdate(sc => sc.StudentId,
                                              new StudentScore
                                              {
                                                  Score = 87,
                                                  Student = studentKimi
                                              },
                                              new StudentScore
                                              {
                                                  Score = 89,
                                                  Student = studentCindy
                                              },
                                              new StudentScore
                                              {
                                                  Score = 83,
                                                  Student = studentAngela
                                              }
                );

            //Student Helthly
            context.StudentHealthies.AddOrUpdate(sh => sh.StudentId,
                                              new StudentHealthy
                                              {
                                                  Score = 77,
                                                  Student = studentKimi
                                              },
                                              new StudentHealthy
                                              {
                                                  Score = 94,
                                                  Student = studentCindy
                                              },
                                              new StudentHealthy
                                              {
                                                  Score = 70,
                                                  Student = studentAngela
                                              });
        }
    }
}
